### Function

# GLib get_language_names_with_category

since: 2.58

#### Declaration

    const gchar* const*
    g_get_language_names_with_category (
      const gchar* category_name
    )

#### Description

Computes a list of applicable locale names with a locale category name, which can be used to construct the fallback locale-dependent filenames or search paths. The returned list is sorted from most desirable to least desirable and always contains the default locale “C”.

This function consults the environment variables `LANGUAGE`, `LC_ALL`, `category_name`, and `LANG` to find the list of locales specified by the user.

`g_get_language_names()` returns g_get_language_names_with_category(“LC_MESSAGES”).

Available since: 2.58

#### Parameters

`category_name`

  Type: `const gchar*`

  A locale category name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings owned by the thread g_get_language_names_with_category was called from. It must not be modified or freed. It must be copied if planned to be used in another thread.

The array is `NULL`-terminated.
The data is owned by the called function.
Each element is a NUL terminated UTF-8 string.